#ifndef SAMEGAME_H
#define SAMEGAME_H

#include <vector>
#include <QSettings>
#include <QString>

class SameGame
{
private:
    std::vector<std::vector<QString>> gameMatrix;
    const QStringList colors;
public:
    void initialiseGameMatrix(int rows, int columns);
    SameGame(int rows, int columns);
    QString getCell(int row, int column);
};

#endif // SAMEGAME_H
